Bug 747639 - deltacloud-core should use systemd unit file instead of SysVinit init script
deltacloud-core should use systemd unit file instead of SysVinit init script
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: deltacloud-core (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Fojtik
Ronelle Landy
:
Depends On:
Blocks: SysVtoSystemd
  Show dependency treegraph
 
Reported: 2011-10-20 11:14 EDT by Vít Ondruch
Modified: 2013-04-05 10:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-05 10:35:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2011-10-20 11:14:27 EDT
Please see [1, 2] for more information.

[1] http://fedoraproject.org/wiki/Features/SysVtoSystemd
[2] http://fedoraproject.org/wiki/Systemd
Comment 1 Ronelle Landy 2012-03-06 09:48:22 EST
Adding chat comments re: addressing this BZ:

<vondruch> mfojtik, but once the Fedora was released you are not supposed to change it
<vondruch> mfojtik, so it should be F17+
Comment 2 Ronelle Landy 2012-06-26 19:05:49 EDT
Installed deltacloud-core-1.0.0-4.fc17 and tested the service start/stop/restart. Test output is copied below:

[root@ivanova workspace]# which deltacloudd
/bin/deltacloudd

rpms tested:

>>  rpm -qa |grep deltacloud
deltacloud-core-1.0.0-4.fc17.noarch
deltacloud-core-opennebula-1.0.0-4.fc17.noarch
deltacloud-core-fgcp-1.0.0-4.fc17.noarch
deltacloud-core-all-1.0.0-4.fc17.noarch
deltacloud-core-openstack-1.0.0-4.fc17.noarch
deltacloud-core-gogrid-1.0.0-4.fc17.noarch
deltacloud-core-rimuhosting-1.0.0-4.fc17.noarch
deltacloud-core-doc-1.0.0-4.fc17.noarch
deltacloud-core-ec2-1.0.0-4.fc17.noarch
deltacloud-core-google-1.0.0-4.fc17.noarch
deltacloud-core-sbc-1.0.0-4.fc17.noarch
deltacloud-core-eucalyptus-1.0.0-4.fc17.noarch
deltacloud-core-vsphere-1.0.0-4.fc17.noarch
deltacloud-core-rackspace-1.0.0-4.fc17.noarch
deltacloud-core-rhevm-1.0.0-4.fc17.noarch

[root@ivanova workspace]# service deltacloud-core status
Redirecting to /bin/systemctl  status deltacloud-core.service
deltacloud-core.service - Deltacloud Core Daemon
	  Loaded: loaded (/usr/lib/systemd/system/deltacloud-core.service; enabled)
	  Active: inactive (dead)
	  CGroup: name=systemd:/system/deltacloud-core.service

==== start ======

[root@ivanova workspace]# service deltacloud-core start
Redirecting to /bin/systemctl  start deltacloud-core.service

[root@ivanova workspace]# service deltacloud-core status
Redirecting to /bin/systemctl  status deltacloud-core.service
deltacloud-core.service - Deltacloud Core Daemon
	  Loaded: loaded (/usr/lib/systemd/system/deltacloud-core.service; enabled)
	  Active: active (running) since Tue, 26 Jun 2012 18:55:32 -0400; 4s ago
	Main PID: 30605 (deltacloudd)
	  CGroup: name=systemd:/system/deltacloud-core.service
		  └ 30605 /usr/bin/ruby /usr/bin/deltacloudd -i mock -e production --port...


======== stop ==========


[root@ivanova workspace]# service deltacloud-core stop
Redirecting to /bin/systemctl  stop deltacloud-core.service

[root@ivanova workspace]# service deltacloud-core status
Redirecting to /bin/systemctl  status deltacloud-core.service
deltacloud-core.service - Deltacloud Core Daemon
	  Loaded: loaded (/usr/lib/systemd/system/deltacloud-core.service; enabled)
	  Active: inactive (dead) since Tue, 26 Jun 2012 18:55:41 -0400; 2s ago
	 Process: 30605 ExecStart=/usr/bin/deltacloudd -i $DRIVER -e $API_ENV --port $PORT --host $HOST -u $DELTACLOUD_USER -g $DELTACLOUD_GROUP (code=exited, status=0/SUCCESS)
	  CGroup: name=systemd:/system/deltacloud-core.service

Jun 26 18:55:41 ivanova.idm.lab.bos.redhat.com deltacloudd[30605]: Starting Deltacloud API...
Jun 26 18:55:41 ivanova.idm.lab.bos.redhat.com deltacloudd[30605]: >> Thin web server (v1....
Jun 26 18:55:41 ivanova.idm.lab.bos.redhat.com deltacloudd[30605]: >> Debugging ON
Jun 26 18:55:41 ivanova.idm.lab.bos.redhat.com deltacloudd[30605]: >> Maximum connections ...
Jun 26 18:55:41 ivanova.idm.lab.bos.redhat.com deltacloudd[30605]: >> Listening on localho...


======= restart =========

[root@ivanova workspace]# service deltacloud-core restart
Redirecting to /bin/systemctl  restart deltacloud-core.service

[root@ivanova workspace]# service deltacloud-core status
Redirecting to /bin/systemctl  status deltacloud-core.service
deltacloud-core.service - Deltacloud Core Daemon
	  Loaded: loaded (/usr/lib/systemd/system/deltacloud-core.service; enabled)
	  Active: active (running) since Tue, 26 Jun 2012 18:55:52 -0400; 2s ago
	Main PID: 30642 (deltacloudd)
	  CGroup: name=systemd:/system/deltacloud-core.service
		  └ 30642 /usr/bin/ruby /usr/bin/deltacloudd -i mock -e production --port...

[root@ivanova workspace]#
Comment 5 Vít Ondruch 2012-06-28 05:30:07 EDT
Hi, I have a few notes from packagers point of view:

* This is not show stopper, just a hint: The service file should be probably directly in git, not in look-aside cache. The key is the file size. "fedpkg import deltacloud-core.srpm" would did the decision for you (or may be you did that? Dunno :).

* The service file should not be in F17. There was some policy regarding this, although I can't find it now. Unfortunately it seems it is too late, since you gave it karma and pushed stable :/

Otherwise I am fine with that change (although I did not tested it, I believe you it works ;)
Comment 7 Fedora End Of Life 2013-04-03 12:14:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 8 Ronelle Landy 2013-04-05 10:35:13 EDT
This BZ was attached to an advisory, it wasn't automatically closed.  The fix was implemented in F17/F18 timeframe. These versions have already shipped.

Closing this BZ ... CLOSED CURRENTRELEASE (F18)

Note You need to log in before you can comment on or make changes to this bug.